
html {
    background-color: azure;
    color: black;
    font-size: 20px;
}
body {
    margin: 15px;
}
h1 {
    margin-top: 65px;
}
#container {
    text-align: center;
    position: relative;
}
#container::before {
    content: "";
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 20px;
    background-color: black;
    width: 5px;
    border: hidden;
    border-radius: 10px;
    z-index: -1;
}
.event {
    display: flex;
    gap: 6vw;
    margin-bottom: 10px;
    margin-left: 10px;
    align-items: center;
}
.item {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    text-align: left;
    justify-content: center;
    padding-left: 20px;
    border: 3px solid rgb(0, 150, 250);
    border-radius: 10px;
    box-shadow: 0 0 4px rgba(0, 150, 250, 0.7);
    box-sizing: border-box;
    height: fit-content;
    width: 85%;
}
.item.red{
    background-color: red !important;
}
.item.green{
    background-color: lightgreen !important;
}
.item.yellow{
    background-color: yellow !important;
}
.circle {
    border: hidden;
    border-radius: 100%;
    width: 25px;
    aspect-ratio: 1 / 1;
    box-sizing: border-box;
}
.circle.filled {
    background-color: black;
}
.circle.empty {
    background-color: white;
    border: 5px solid black;
}
.circle.filled + .item {
    background-color: rgb(0, 100, 200);
}
#done {
    background-color: green;
    width: 80px;
    height: 40px;
    position: fixed;
    bottom: 10px;
    right: 10px;
}
#back {
    background-color: red;
    width: 80px;
    height: 40px;
    position: fixed;
    bottom: 10px;
    left: 10px;
}
#loader {
  border: 6px solid #ddd;
  border-top: 6px solid #3498db;
  border-radius: 50%;
  position: fixed;
  top: 80px;
  right: 20px;
  pointer-events: none;
  color: red;
  font-size: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
}

@keyframes spin {
  to {
      transform: rotate(360deg);
  }
}
#onoff {
  background-image: linear-gradient(to right, red, green);
  position: fixed;
  position: absolute;
  top: 10px;
  right: 10px;
  height: 40px;
  width: 80px;
}
#date {
  position: fixed;
  top: 0px;
  left: 8px;
  background-color: white;
  z-index: 5;
}
#finish {
  position: fixed;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  height: 40px;
  width: 80px;
}